#include "mousehandler.h"
#include "movecommand.h"
#include "retreatcommand.h"
#include "throwgrenadecommand.h"

MouseHandler::MouseHandler()
{
	mMoveCommand = new MoveCommand();
	mRetreatCommand = new RetreatCommand();
	mThrowGrenadeCommand = new ThrowGrenadeCommand();
}

MouseHandler::~MouseHandler()
{
	delete mMoveCommand;
	delete mRetreatCommand;
	delete mThrowGrenadeCommand;
}

void MouseHandler::select(Squad *squad)
{
	mMoveCommand->setSquad(squad);
	mRetreatCommand->setSquad(squad);
	mThrowGrenadeCommand->setSquad(squad);
}

void MouseHandler::handleLeftClick()
{
	mMoveCommand->execute();
}

void MouseHandler::handleButton1Click()
{
	mRetreatCommand->execute();
}

void MouseHandler::handleButton2Click()
{
	mThrowGrenadeCommand->execute();
}
